summaryrefslogtreecommitdiff
path: root/scripts/scan-pkgs.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <mail@waldemar-brodkorb.de>2013-10-05 09:56:58 +0200
committerWaldemar Brodkorb <mail@waldemar-brodkorb.de>2013-10-05 09:56:58 +0200
commit4f1b2424a78c15e6954bbcf923ad201321672665 (patch)
tree452ab1794edd1cb1cb0ae49815ec9370752899a4 /scripts/scan-pkgs.sh
parentac8c5646edab042496ff11852505d2d1bca9b116 (diff)
parentcd459cb9dc51e6f2cace0b4b994b563f640a25f6 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'scripts/scan-pkgs.sh')
-rw-r--r--scripts/scan-pkgs.sh14
1 files changed, 10 insertions, 4 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index f794a8c37..dbce88a86 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -73,6 +73,10 @@ if [[ -n $ADK_PACKAGE_GPSD ]]; then
NEED_PYTHON="$NEED_PYTHON gpsd"
fi
+if [[ -n $ADK_PACKAGE_LIBVPX ]]; then
+ NEED_YASM="$NEED_YASM libvpx"
+fi
+
if [[ -n $ADK_PACKAGE_FIREFOX ]]; then
NEED_YASM="$NEED_YASM firefox"
NEED_LIBIDL="$NEED_LIBIDL firefox"
@@ -439,10 +443,12 @@ if [[ -n $NEED_FLEX ]]; then
fi
fi
-if [[ -n $NEED_YASM ]]; then
- if ! which yasm >/dev/null 2>&1; then
- echo >&2 You need yasm to build $NEED_YASM
- out=1
+if [[ -n $ADK_LINUX_X86 ]]; then
+ if [[ -n $NEED_YASM ]]; then
+ if ! which yasm >/dev/null 2>&1; then
+ echo >&2 You need yasm to build $NEED_YASM
+ out=1
+ fi
fi
fi